summaryrefslogtreecommitdiff
path: root/tests/misc
diff options
context:
space:
mode:
authorEric Blake <ebb9@byu.net>2009-10-23 08:12:29 -0600
committerEric Blake <ebb9@byu.net>2009-10-23 16:31:34 -0600
commit2122247acae6672e2dcfba095dc84cf84bc8ef41 (patch)
tree7eabf249a1b6f8100ef16c57e1e7d7f93af67a2a /tests/misc
parentbd933c125073bf5b071d8ea0631de8aac3a8c3e9 (diff)
downloadcoreutils-2122247acae6672e2dcfba095dc84cf84bc8ef41.tar.xz
maint: move chroot test
* tests/chroot/credentials: Move... * tests/misc/chroot-credentials: ...here, to reduce number of directories. * tests/Makefile.am (root_tests): Reflect rename.
Diffstat (limited to 'tests/misc')
-rwxr-xr-xtests/misc/chroot-credentials52
1 files changed, 52 insertions, 0 deletions
diff --git a/tests/misc/chroot-credentials b/tests/misc/chroot-credentials
new file mode 100755
index 000000000..f200f14ab
--- /dev/null
+++ b/tests/misc/chroot-credentials
@@ -0,0 +1,52 @@
+#!/bin/sh
+# Verify that the credentials are changed correctly.
+
+# Copyright (C) 2009 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+if test "$VERBOSE" = yes; then
+ set -x
+ chroot --version
+fi
+
+. $srcdir/test-lib.sh
+
+require_root_
+
+fail=0
+
+# Verify that root credentials are kept.
+test $(chroot / whoami) = root || fail=1
+test "$(groups)" = "$(chroot / groups)" || fail=1
+
+# Verify that credentials are changed correctly.
+test "$(chroot --userspec=$NON_ROOT_USERNAME:$NON_ROOT_GROUP / whoami)" != root \
+ || fail=1
+
+# Verify that there are no additional groups.
+test "$(chroot --userspec=$NON_ROOT_USERNAME:$NON_ROOT_GROUP --groups=$NON_ROOT_GROUP / id -G)"\
+ = $NON_ROOT_GROUP || fail=1
+
+# Verify that when specifying only the user name we get the current
+# primary group ID.
+test "$(chroot --userspec=$NON_ROOT_USERNAME / id -g)" = "$(id -g)" \
+ || fail=1
+
+# Verify that when specifying only a group we get the current user ID
+test "$(chroot --userspec=:$NON_ROOT_GROUP / id -u)" = "$(id -u)" \
+ || fail=1
+
+Exit $fail